An open community 
of Macintosh users,
for Macintosh users.

FineTunedMac Dashboard widget now available! Download Here

Previous Thread
Next Thread
Print Thread
Page 1 of 3 1 2 3
Flash Cookies Raise Privacy Concerns
#11920 09/21/10 09:31 PM
Joined: Aug 2009
Likes: 7
jchuzi Online OP
OP Online

Joined: Aug 2009
Likes: 7

Last edited by dianne; 09/21/10 10:00 PM. Reason: changed subject line.

Jon

macOS 11.7.10, iMac Retina 5K 27-inch, late 2014, 3.5 GHz Intel Core i5, 1 TB fusion drive, 16 GB RAM, Epson SureColor P600, Photoshop CC, Lightroom CC, MS Office 365
Re: Flash Cookies Raise Privacy Concerns
jchuzi #11923 09/21/10 10:04 PM
Joined: Aug 2009
Moderator
Offline
Moderator

Joined: Aug 2009
The above entry was made in reply to tacit's post #10914 in What are the ways a site know who I am?. It has been detached from that thread and given a new subject line.

I will move this topic to the Lounge in a day or two.

Last edited by dianne; 09/22/10 11:00 PM. Reason: moved from Networking to Lounge.

Back up everything you can't afford to lose: documents, mail, movies, music, photos, and other data and settings.
Re: Flash Cookies Raise Privacy Concerns
jchuzi #11932 09/22/10 04:45 AM
Joined: Sep 2009
Offline

Joined: Sep 2009

Re: Flash Cookies Raise Privacy Concerns
Hal Itosis #11934 09/22/10 10:00 AM
Joined: Aug 2009
Likes: 7
jchuzi Online OP
OP Online

Joined: Aug 2009
Likes: 7
I started a similar thread at TechSurvivors and it has some interesting responses.


Jon

macOS 11.7.10, iMac Retina 5K 27-inch, late 2014, 3.5 GHz Intel Core i5, 1 TB fusion drive, 16 GB RAM, Epson SureColor P600, Photoshop CC, Lightroom CC, MS Office 365
Re: Flash Cookies Raise Privacy Concerns
jchuzi #11935 09/22/10 11:41 AM
Joined: Aug 2009
Likes: 7
jchuzi Online OP
OP Online

Joined: Aug 2009
Likes: 7
Here's some irony: Adobe has discovered that Flash Player has some security flaws! IMHO, FP itself is a security flaw.


Jon

macOS 11.7.10, iMac Retina 5K 27-inch, late 2014, 3.5 GHz Intel Core i5, 1 TB fusion drive, 16 GB RAM, Epson SureColor P600, Photoshop CC, Lightroom CC, MS Office 365
Re: Flash Cookies Raise Privacy Concerns
jchuzi #12000 09/25/10 07:34 PM
Joined: Aug 2009
Likes: 14
Offline

Joined: Aug 2009
Likes: 14
Originally Posted By: jchuzi
Here's some irony: Adobe has discovered that Flash Player has some...security flaws...

That's interesting. After dondenny's thread that discussed the school board in Pennsylvania spying on the students by using Flash, I set my Adobe Flash Privacy Settings to "Always Ask". However I found that some sites would still install stuff on my drive without permission.

I then set the amount allowable to "zero" and that seemed to fix things. I would get lists of sites who tried to install something, without asking permission, but who seemed to be blocked by the "zero" setting.

I just now followed the route mentioned at the Flush site (User Home Folder/Library/Preferences/Macromedia/FlashPlayer/#SharedObjects) and found 28 folders, most of which had names I didn't recognize. Some "names" were just a combination of letters, numbers and symbols.

I looked through all 28 folders and found two of the .sol Flash Cookies. They were:

udn.specificclick.net whose cookie was fug.sol
comedycentral.com whose cookie was comedy_central_video.sol

Curiously, when I checked at the Adobe Flash Privacy Settings panel, neither of these was shown in the list of those who tried without asking.

ryck

Last edited by ryck; 09/25/10 07:40 PM.

ryck

"What Were Once Vices Are Now Habits" The Doobie Brothers

iMac (Retina 5K, 27", 2020), 3.8 GHz 8 Core Intel Core i7, 8GB RAM, 2667 MHz DDR4
OS Ventura 13.6.3
Canon Pixma TR 8520 Printer
Epson Perfection V500 Photo Scanner c/w VueScan software
TM on 1TB LaCie USB-C
Re: Flash Cookies Raise Privacy Concerns
jchuzi #12007 09/25/10 10:13 PM
Joined: Sep 2009
Offline

Joined: Sep 2009
I pieced together a shell script to display (and optionally obliterate) Flash's cookie stash. Simply run with no args to view the crumbs. Any arg except -h (or anything with an H or h in it) will erase said items.

cfc (Clear Flash Cookies)

Code:
#!/bin/bash -u -
# cfc  :::  Clear Flash Cookies
#(c)EF/-HI-2010.Sep.23 [rev:2010.Sep.25]
IFS=$' \t\n'
declare -x PATH=/bin:/usr/bin
declare -i x=0 c=0 k=0
subf= args= list=
PRG=`basename "$0"`
DR1=~/Library/Preferences/Macromedia/Flash?Player
DR2=~/Library/Caches/Adobe/Flash?Player

trap tabs EXIT

Help () {
	printf '\e[4mClear Flash Cookies\e[0m\nUsage:\n'
	printf '\t\e[1m%s\e[0m [\e[1m-?\e[0m]\n\n' $PRG
	printf 'Run with no args to list the cookies.\n'
	printf 'Any arg except -h clears the cookies.\n'
	exit 1
}

[ $# -ne 0 ] && [[ $1 = *[Hh]* ]] && Help

Tree () { # print a tree of the cwd:
	local dir= par= ind= fix=
	dir=`pwd -P`; par=`dirname "$dir"`; tabs -5; ind=$'\t'
	[[ $par = / ]] && fix=$ind
	find -x "$dir" -print0 |xargs -0 ls -1dfF |sed 's:'"$par"':'"$fix"':;
		s:/$: \\:;s:[^/]*/:'"$ind"':g;s: \\$:/:;s:'"$ind"':'"$fix"':;
		1s:'"$fix"'::' |sed "s:[/*@=|%]$:`printf '\e[1m&\e[0m'`:"
	tabs
}

GoToFolder () {
	2>/dev/null cd "$1" >&2 && return 0 || {
		printf 'cannot access folder: %s/\n\a' "$1"
		return 1
	}
}

ScanFolder () {
	GoToFolder "$1" || return 1
	c=`ls -p1 |grep -e '/$' |wc -l |sed 's:[^0-9]::g'`
	subf=`ls -p1 |grep -e '/$' |sed 's:/$::;s: :\?:g'`

	case $c in
	0)	printf 'no subfolders exist in: %s\n' "$1"; return 1;;
	1)	args=$subf;;
	*)	args=-f\ $subf;;
	esac

	list=`find -x $args -not -type d`

	if [[ -n $list ]]
	then
		[ $k -eq 0 ] && printf '\n\e[7mFILES FOUND:\e[0m'
		printf '\n\e[1;4m%s\e[0;1m/\e[0m\n' "$1"
		echo "$list" |tr '\n' '\000' |xargs -0 ls -legthrob
		echo
		((k+=1))
	fi
	return 0
}

for d in $DR1 $DR2; do ScanFolder "$d"; done

[ $k -eq 0 ] && printf 'already cleared...\n'
printf '\n\e[7mTREE LISTING:\e[0m\n'
printf '\e[1;4mPREFS\e[0m\n'
GoToFolder $DR1 && Tree
printf '\n\e[1;4mCACHE\e[0m\n'
GoToFolder $DR2 && Tree
echo

if [ $# -ne 0 ] && [ $k -ne 0 ]
then  # remove cookie & cache items, but leave "basic" directory trees intact:
	GoToFolder $DR1 &&
	    rm -fR {macromedia.com/support/flashplayer/sys,#SharedObjects/*}/*
	x=$?
	GoToFolder $DR2 && rm -fR AssetCache/*/*
	((x+=$?))
	[ $x -eq 0 ] && printf '\e[30;42m FLASH COOKIES CLEARED \e[0m\n' ||
			printf '\e[37;41m %s: an error occurred \e[0m\n' $PRG
fi
exit $x




Before anyone points out that there are much simpler ways to "do" this, please note the (only) two comments in the code, and consider that i was bending over backwards to preserve the original (base) folder structure... though i don't remember why (perhaps just as a coding exercise).

-HI-

EDIT: the -h option just brings up some help text...
Code:
$ cfc -h
Clear Flash Cookies
Usage:
	cfc [-?]

Run with no args to list the cookies.
Any arg except -h clears the cookies.

Last edited by Hal Itosis; 09/25/10 10:17 PM.
Re: Flash Cookies Raise Privacy Concerns
Hal Itosis #12008 09/26/10 05:24 AM
Joined: Sep 2009
Offline

Joined: Sep 2009
Hmm.

After reading up on how we can go to Adobe's site to configure our "Global Storage Settings" to disable Local Shared Objects... i also set the allowed disk space to zero. After all that, i noted the appearance of two files in those (two) Flash Player folders in my home/library:

~/Library/Preferences/Macromedia/Flash\ Player/macromedia.com/support/flashplayer/sys/settings.sol

and

~/Library/Caches/Adobe/Flash\ Player/AssetCache/*/cacheSize.txt

...so perhaps it would be prudent if my script above were to leave those two files intact as well.

The latter is a mere 2 bytes, and seems to hold the "allowable space" pref:

$ od -cb ~/Library/Caches/Adobe/Flash\ Player/AssetCache/*/cacheSize.txt

Code:
0000000    0  \0
          060 000
0000002

^ i.e., only the char for the number zero plus a terminating null char.


The former file (343 bytes) holds all sorts of "hexy" data, which currently looks sorta like this (as seen through the limited eyes of the strings command):

$ strings ~/Library/Preferences/Macromedia/Flash\ Player/macromedia.com/support/flashplayer/sys/settings.sol

Code:
QTCSO
settings
gain
echosuppression
defaultmicrophone
defaultcamera
defaultklimit
defaultalways
windowlessDisable
crossdomainAllow
crossdomainAlways
secureCrossDomainCacheSize
allowThirdPartyLSOAccess

trustedPaths
safefullscreen
disallowP2PUplink


Anyway, i should probably DEFINITELY tweak my script to ignore those two files... but locking them (in Finder) also does the trick for now (though, who knows how Flash will react when it notices they are locked?).

//

EDIT: started over with a clean slate... so some changes to the above info were needed. I also confirmed (via fseventer) that using Adobe's Global Storage Settings page does indeed tweak those two particular files.

Last edited by Hal Itosis; 09/26/10 05:37 AM.
Re: Flash Cookies Raise Privacy Concerns
Hal Itosis #12011 09/26/10 04:48 PM
Joined: Aug 2009
Likes: 14
Offline

Joined: Aug 2009
Likes: 14
Originally Posted By: Hal Itosis
[After all that, i noted the appearance of two files in those (two) Flash Player folders in my home/library:

~/Library/Preferences/Macromedia/Flash\ Player/macromedia.com/support/flashplayer/sys/settings.sol


I deleted that .sol from the folder yesterday and today it re-appeared so I guess it just wants to be there. However, the same folder (sys) has 274 folders within it, all prefixed with #. I looked through them and one had a .sol document. It was:

#cdn-video.adonion.com

That .sol is now deleted by moving to trash and emptying.

Originally Posted By: Hal Itosis

and

~/Library/Caches/Adobe/Flash\ Player/AssetCache/*/cacheSize.txt


I followed that route but, at Asset Cache, mine changed to a folder named NWBY27P9 which contains 19 documents. One is the cachesize.txt and the other 18 end with suffixes either .heu or .swz. Also they are in pairs. That is they are numbered and each title number has each suffix. i.e.

1C04C61346A1FA3139A37D860ED92632AA13DECF.heu
1C04C61346A1FA3139A37D860ED92632AA13DECF.swz

ryck

Last edited by ryck; 09/26/10 04:49 PM.

ryck

"What Were Once Vices Are Now Habits" The Doobie Brothers

iMac (Retina 5K, 27", 2020), 3.8 GHz 8 Core Intel Core i7, 8GB RAM, 2667 MHz DDR4
OS Ventura 13.6.3
Canon Pixma TR 8520 Printer
Epson Perfection V500 Photo Scanner c/w VueScan software
TM on 1TB LaCie USB-C
Re: Flash Cookies Raise Privacy Concerns
ryck #12014 09/26/10 06:35 PM
Joined: Aug 2009
Likes: 16
Moderator
Online
Moderator

Joined: Aug 2009
Likes: 16
I am beginning to think the real solution is the one implemented by Steve Jobs on the iPhone and iPad - eliminate Flash altogether. mad


If we knew what it was we were doing, it wouldn't be called research, would it?

— Albert Einstein
Re: Flash Cookies Raise Privacy Concerns
ryck #12016 09/26/10 08:10 PM
Joined: Sep 2009
Offline

Joined: Sep 2009
Originally Posted By: ryck
Originally Posted By: Hal Itosis
[After all that, i noted the appearance of two files in those (two) Flash Player folders in my home/library:

~/Library/Preferences/Macromedia/Flash\ Player/macromedia.com/support/flashplayer/sys/settings.sol

I deleted that .sol from the folder yesterday and today it re-appeared so I guess it just wants to be there.

Yep... that appears to be Adobe's own pref, for storing our Flash config settings.

Originally Posted By: ryck
Originally Posted By: Hal Itosis
and

~/Library/Caches/Adobe/Flash\ Player/AssetCache/*/cacheSize.txt

I followed that route but, at Asset Cache, mine changed to a folder named NWBY27P9

Yep... everyone will have some randomly named folder there. That's what the /*/ wildcard does... thus allowing my script to work on any Mac (not just mine).

§

Here's the latest rev:
Code:
#!/bin/bash -
# cfc  :::  Clear Flash Cookies
#(c)EF/-HI-2010.Sep.23 [rev:2010.Sep.27]
IFS=$' \t\n'
declare -x PATH=/bin:/usr/bin
declare -i x=0 c=0 k=0
subf= args= list=  s=s
PRG=`basename "$0"`
DR1=~/Library/Preferences/Macromedia/Flash?Player
DR2=~/Library/Caches/Adobe/Flash?Player
PREF=macromedia.com/support/flashplayer/sys/settings.sol
CASH=AssetCache/*/cacheSize.txt

trap tabs EXIT

Help () {
	printf '\e[4mClear Flash Cookies\e[0m\nUsage:\n'
	printf '\t\e[1m%s\e[0m [\e[1m-?\e[0m]\n\n' $PRG
	printf 'Run with no args to list the cookies.\n'
	printf 'Any arg except -h clears the cookies.\n'
	exit 1
}

[ $# -ne 0 ] && [[ $1 = *[Hh]* ]] && Help >&2

Tree () { # print a tree of the cwd:
	local dir= par= ind= fix=
	dir=`pwd -P`; par=`dirname "$dir"`; tabs -5; ind=$'\t'
	[[ $par = / ]] && fix=$ind
	find -x "$dir" -print0 |xargs -0 ls -1dfF |sed 's:'"$par"':'"$fix"':;
		s:/$: \\:;s:[^/]*/:'"$ind"':g;s: \\$:/:;s:'"$ind"':'"$fix"':;
		1s:'"$fix"'::' |sed "s:[/*@=|%]$:`printf '\e[1m&\e[0m'`:"
	tabs
}

GoToFolder () {
	2>/dev/null cd "$1" >&2 && return 0 ||
		printf '\ncannot access folder: %s/\n' "$1" >&2; return 1
}

ScanFolder () {
	GoToFolder "$1" || return 1
	c=`ls -p1 |grep -e '/$' |wc -l |sed 's:[^0-9]::g'`
	subf=`ls -p1 |grep -e '/$' |sed 's:/$::;s: :\?:g'`

	case $c in
	0)	printf '\nno subfolders exist in: %s\n' "$1" >&2; return 1;;
	1)	args=$subf;;
	*)	args=-f\ $subf;;
	esac

	list=`find -x $args -not -type d`

	if [[ -n $list ]]
	then
		[ $k -eq 0 ] && printf '\n\e[7mFILES FOUND:\e[0m'
		printf '\n\e[1;4m%s\e[0;1m/\e[0m\n' "$1"
		echo "$list" |tr '\n' '\000' |xargs -0 ls -legthrob
		((k+=1))
	fi
	return 0
}

for d in $DR1 $DR2; do ScanFolder "$d"; ((x+=$?)); done

printf '\n\n\e[7mTREE LISTING:\e[0m\n'
printf '\e[1;4mPREFS\e[0m\n'
GoToFolder $DR1 && Tree || ((x+=1))
printf '\n\e[1;4mCACHE\e[0m\n'
GoToFolder $DR2 && Tree || ((x+=1))
echo

if [ $# -ne 0 ] && [ $k -ne 0 ]
then  # clear cookies & caches but preserve useful files and directory trees:

	GoToFolder $DR1 &&
	ls -d1 {macromedia.com/support/flashplayer/sys,#SharedObjects/*}/* \
		2>/dev/null |grep -v $PREF |tr '\n' '\000' |xargs -0 rm -fR
	((x+=$?))

	GoToFolder $DR2 && ls -d1 AssetCache/*/* 2>/dev/null |grep -v $CASH |
		tr '\n' '\000' |xargs -0 rm -fR
	((x+=$?))

	[ $x -eq 0 ] && printf '\e[30;42m FLASH COOKIES CLEARED \e[0m\n' >&2
fi

[ $x -eq 1 ] && s=
[ $x -eq 0 ] || printf '\e[37;41m %d error%s occurred \e[0m\n\a' $x "$s" >&2
exit $x


It now preserves those two key files (when we optionally clear the cookies). As always, running with no options will simply list everything, saving us the trouble of rummaging around in Finder (which has the side effect of populating the hierarchy with .DS_Store files).

//

OBS: script was edited again on Monday. As far as finding and/or deleting cookies, nothing was changed. All modifications relate to error detection and reporting, plus minor cosmetic tweaks.

-HI-

For assistance on using shell scripts, see the "Unix FAQ" at hayne.net

Last edited by Hal Itosis; 09/27/10 03:35 PM. Reason: improve error detection & reporting
Re: Flash Cookies Raise Privacy Concerns
joemikeb #12019 09/26/10 09:38 PM
Joined: Aug 2009
Likes: 14
Offline

Joined: Aug 2009
Likes: 14
Originally Posted By: joemikeb
I am beginning to think the real solution is the one implemented by Steve Jobs on the iPhone and iPad - eliminate Flash altogether. mad

I think you're right about that. I thought this whole "Flash thing" was bad enough on learning that it could be configured to spy on kids, but Adobe's Omniture acquisition is equally disconcerting.

ryck

Last edited by ryck; 09/26/10 09:40 PM.

ryck

"What Were Once Vices Are Now Habits" The Doobie Brothers

iMac (Retina 5K, 27", 2020), 3.8 GHz 8 Core Intel Core i7, 8GB RAM, 2667 MHz DDR4
OS Ventura 13.6.3
Canon Pixma TR 8520 Printer
Epson Perfection V500 Photo Scanner c/w VueScan software
TM on 1TB LaCie USB-C
Re: Flash Cookies Raise Privacy Concerns
Hal Itosis #12025 09/27/10 01:37 PM
Joined: Aug 2009
Likes: 14
Offline

Joined: Aug 2009
Likes: 14
Yesterday I trashed the 18 .heu and .swz documents that were in the "NWBY27P9 Folder", leaving only the cacheSize.txt I continued without any apparent differences in the way things work. This morning (none of the .heu or .swz documents has returned) I had just arrived at the WikiAnswers site when this dialogue box came up:


Adobe Flash Player has stopped a potentially unsafe operation. The following local application on your computer or network:

/about/blank

is trying to communicate with this internet-enabled location:

vitamine.networldmedia.net

To let this application communicate with the internet, click Settings. You must restart this application after changing your settings.



There were two buttons "Okay" and "Settings...". I clicked on "Okay". To see if the dialogue box was related to the WikiAnswers site, I then I left the site and returned to it. The dialogue box did not appear again.

ryck

Last edited by ryck; 09/27/10 01:40 PM.

ryck

"What Were Once Vices Are Now Habits" The Doobie Brothers

iMac (Retina 5K, 27", 2020), 3.8 GHz 8 Core Intel Core i7, 8GB RAM, 2667 MHz DDR4
OS Ventura 13.6.3
Canon Pixma TR 8520 Printer
Epson Perfection V500 Photo Scanner c/w VueScan software
TM on 1TB LaCie USB-C
Re: Flash Cookies Raise Privacy Concerns
ryck #12026 09/27/10 04:00 PM
Joined: Sep 2009
Offline

Joined: Sep 2009
Originally Posted By: ryck
>>>
Adobe Flash Player has stopped a potentially unsafe operation. The following local application on your computer or network:

/about/blank

is trying to communicate with this internet-enabled location:

vitamine.networldmedia.net

To let this application communicate with the internet, click Settings. You must restart this application after changing your settings.

<<<

::shrug::

idunno... i tired googling on "vitamine.networldmedia.net" as well as visiting those sites (including WikiAnswers). Sounds like some adware/tracking garbage [possibly infected?]... and it would appear as if Flash did the right thing by blocking it. FWIW, i'm running ClickToFlash as well as browsing with a modified /etc/hosts file (as per the sticky here in the Lounge), so i probably can't replicate your experience.

Actually, my hosts file has a few extra entries (related to Omniture):

$ cat /etc/hosts
Code:
##
# Host Database
#
# localhost is used to configure the loopback interface
# when the system is booting.  Do not change this entry.
##
127.0.0.1	localhost
255.255.255.255	broadcasthost
127.0.0.1	doubleclick.net
127.0.0.1	ad.doubleclick.net
127.0.0.1	mediaplex.com
127.0.0.1	img.mediaplex.com
127.0.0.1	view.atdmt.com
127.0.0.1	mads.com.com
127.0.0.1	madstage.com.com
127.0.0.1	omnituretrack.local.com
127.0.0.1	analytic.spamfighter.com # [Omniture]
127.0.0.1	cdn11.sphere.com # [Omniture]
127.0.0.1	www.sphere.com # [Omniture]
127.0.0.1	omniture.secure.miisolutions.net
127.0.0.1	html.knbc.com # [Omniture]
127.0.0.1	html.nbc10.com # [Omniture]
127.0.0.1	html.wnbc.com # [Omniture]
127.0.0.1	omniture.112.2o7.net
127.0.0.1	omniturecom.112.2o7.net
127.0.0.1	omniturebanners.112.2o7.net
127.0.0.1	stats.esomniture.com
127.0.0.1	www.omniture.com
127.0.0.1	media.fastclick.net
127.0.0.1	cdn.fastclick.net
::1		localhost
fe80::1%lo0	localhost


//

PS... note to all: my script above was edited today.

Re: Flash Cookies Raise Privacy Concerns
ryck #12040 09/28/10 05:24 AM
Joined: Aug 2009
Offline

Joined: Aug 2009
Quote:
Flush site (User Home Folder/Library/Preferences/Macromedia/FlashPlayer/#SharedObjects)


I was just reading about Flash cookies. When I follow the directory above to look in the flash folder, I get as far as clicking on the Macromedia folder or, if I go slowly, for some reason, the FlashPlayer folder, then the finder quits and restarts. Any idea what is going on? Also, can you recommend a program to safely remove Flash cookies.


Mid 2010 MacBook Pro 13"
2.4GHz, 750GB SATA HD, 8 GB RAM, OS 10.7.5
1 HDX1500 2TB Ext.HD, 2 HDX1500 1TB Ext.HD
HP Laserjet 6MP printing postscript via 10/100 Intel print server
Netgear WN2500RP Range Extender (Ira rocks!)
Linksys WRT1900AC Wireless Router
Brother MFC-9340CDW Color Laser
iPad Air
Re: Flash Cookies Raise Privacy Concerns
slolerner #12041 09/28/10 05:59 AM
Joined: Aug 2009
Likes: 15
Online

Joined: Aug 2009
Likes: 15
> Also, can you recommend a program to safely remove Flash cookies.

I'm using Safari Cookies.

(I'm not yet certain whether it's intentional or not, but at the moment SC is not removing Flash cookies when Safari is quit.) Edit: Non-issue! Flash cookies are removed.

Last edited by artie505; 09/28/10 10:37 AM.

The new Great Equalizer is the SEND button.

In Memory of Harv: Those who can make you believe absurdities can make you commit atrocities. ~Voltaire
Re: Flash Cookies Raise Privacy Concerns
slolerner #12044 09/28/10 10:28 AM
Joined: Aug 2009
Likes: 7
jchuzi Online OP
OP Online

Joined: Aug 2009
Likes: 7
Flush (freeware) does a fine job for me but if want other features and don't mind spending some money, Cocktail can do it as well.


Jon

macOS 11.7.10, iMac Retina 5K 27-inch, late 2014, 3.5 GHz Intel Core i5, 1 TB fusion drive, 16 GB RAM, Epson SureColor P600, Photoshop CC, Lightroom CC, MS Office 365
Re: Flash Cookies Raise Privacy Concerns
jchuzi #12046 09/28/10 01:10 PM
Joined: Sep 2009
Offline

Joined: Sep 2009
Originally Posted By: jchuzi
Flush (freeware) does a fine job for me but if want other features and don't mind spending some money, Cocktail can do it as well.

Looking at Flush i was (pleasantly) surprised to see that the script was not saved as unreadable. (most coders who use AppleScript usually hide what they're doing by saving it as a "run-only" applet, so their peers can't review their code).

Anyway, here's Flush (an AppleScript calling Terminal which then tells Finder. smile ):
Code:
tell application "Terminal"
	activate
	do script "ls -R ~/Library/Preferences/Macromedia/Flash*Player | grep -v settings | grep -v preferences | grep .sol | cat -n"
	display dialog "Welcome to Flush 3.1. Do you want to flush these flash cookies into your Trash now?" buttons {"Not Now", "Flush Away!"} default button 2
	if button returned of result = "Flush Away!" then
		set fileToDelete to (((path to preferences folder) as text) & "Macromedia:Flash Player") as alias
		tell application "Finder"
			delete fileToDelete
		end tell
	end if
	quit
end tell



I'm wondering if that grep -v settings wouldn't exclude too many items.

<SNIP> list removed </SNIP>

Have you run cfc yet, to see what's there?

//

EDIT: oh i see... the filtering is just for display purposes. Then he blows away the entire "Flash Player" folder. But apparently only the prefs, and not the cache items as well (which —AFAIK — can be used to easily rebuild the prefs).

Not thorough (or elegant), IMO.


Last edited by Hal Itosis; 09/28/10 01:41 PM.
Re: Flash Cookies Raise Privacy Concerns
slolerner #12047 09/28/10 01:23 PM
Joined: Sep 2009
Offline

Joined: Sep 2009
Originally Posted By: slolerner
I was just reading about Flash cookies. When I follow the directory above to look in the flash folder, I get as far as clicking on the Macromedia folder or, if I go slowly, for some reason, the FlashPlayer folder, then the finder quits and restarts. Any idea what is going on?

Finder isn't happy about something... perhaps a corrupt .DS_Store file (or directory damage?). Were something of that nature to happen to me, i would —since i'd gotten that far already —simply delete the entire Macromedia folder. Did you try that? (or run Disk Utility -> verify disk?)


Originally Posted By: slolerner
Also, can you recommend a program to safely remove Flash cookies.

Guess it would be slightly strange if i didn't recommend my own script above. (in fact, i thought i pretty much already did that. tongue )

At the very least, it's PERFECT for viewing the cookies... so a crashy Finder need not be bothered with.

Re: Flash Cookies Raise Privacy Concerns
ryck #12052 09/28/10 03:12 PM
Joined: Aug 2009
Offline

Joined: Aug 2009
Originally Posted By: ryck
[quote=jchuzi]I just now followed the route mentioned at the Flush site (User Home Folder/Library/Preferences/Macromedia/FlashPlayer/#SharedObjects) and found 28 folders


only 28? you poor lonely soul! 294 here.

about 1/2 of them are empty. Doing select-all and then right arrow the number of folders + first level sub folders / items is 690. Many of the ones that aren't empty contain a single .SOL data file. But most of the rest I think are flash games. Take for example the folder

farm.stickpage.com, contains:
- rocknriskblitzgame.swf
- tetrisdgame.swf

Flash games that you play are downloaded before you play them, and then they stay on your computer so you don't have to download them again. I don't think I'd consider a browser-sandboxed swf file to be an application since it doesn't affect my computer or even any data from another site outside its site-specific sandbox.

quite a few contain "analytics.sol", I assume that's a database of my cumulative browsing stats on their web page. Many others contain a Flash or Player folder with several subfolders.

Owell I don't get too wound up over that. That's just data, to say they're "installing" something on my machine is quite a stretch. Now if they want to actually install something, it's usually a java applet, and if its signature isn't trusted I always get a popup to confirm. But those are actual applications, not just data. Stopping your browser from "installing" data is probably being overly paranoid. I'm not sure where the applets go, probably somewhere in the Safari folder? One I see a lot is to open an in-page irc chat.



I work for the Department of Redundancy Department
Re: Flash Cookies Raise Privacy Concerns
Hal Itosis #12068 09/28/10 10:59 PM
Joined: Aug 2009
Offline

Joined: Aug 2009
I used Flush, thanks, and when I emptied the trash there were a few hundred things, I think. But the finder still crashes if I click on the Macromedia Folder. More info:

I started having problems about 2 weeks ago. I ran Disk Utility before backing up and it found a file count error under Verify Disk in addition to the usual 6 Java errors I consistently get along with 2 SUID will not be repaired errors under Repair Permissions which never get fixed and I don't concern myself with. The file count error took a few runs to get fixed. I had to start off another disk. Finally, it got fixed but now I have a visible folder on the top level of my hard drive called 'lost + found' with what appears to be an empty folder inside it. I am afraid to trash that, so I just leave it there.

Things started feeling weird a few days ago when my magic mouse got 'jumpy.' I was about to bring the mouse back, but when I put wired mouse back it didn't help. So I ran Clamx. Before I ran it, I had it 'show invisible files.' There was a folder I thought was Flash Cookies but I looked it up and it was something else but made me think maybe the mouse problems, along with a weird kind of finder quit I've been having where finder windows kind of cycle open and closed, hard to describe, were Flash Cookies because I had read about them and thought they could cause weird behavior since I had ruled out a virus and ran a dns change checker and a bunch of other paranoid paraphernalia. That's my story (and I'm sticking to it.)

I'm not a 'codie' so I'll take the 'dumbed down' version, please tongue .

-slo


Mid 2010 MacBook Pro 13"
2.4GHz, 750GB SATA HD, 8 GB RAM, OS 10.7.5
1 HDX1500 2TB Ext.HD, 2 HDX1500 1TB Ext.HD
HP Laserjet 6MP printing postscript via 10/100 Intel print server
Netgear WN2500RP Range Extender (Ira rocks!)
Linksys WRT1900AC Wireless Router
Brother MFC-9340CDW Color Laser
iPad Air
Re: Flash Cookies Raise Privacy Concerns
slolerner #12069 09/29/10 12:02 AM
Joined: Sep 2009
Offline

Joined: Sep 2009
Originally Posted By: slolerner
>
But the finder still crashes if I click on the Macromedia Folder.
>
>
>
I'm not a 'codie' so I'll take the 'dumbed down' version, please tongue

This terminal command will wipe all out the .DS_Store files from your prefs folder on down:

find -x ~/Library/Preferences -name .DS_Store -delete

Probably should log out after that (or relaunch Finder).

--{ posted from my iPad }--

Re: Flash Cookies Raise Privacy Concerns
Hal Itosis #12070 09/29/10 12:16 AM
Joined: Aug 2009
Offline

Joined: Aug 2009
So I launch Terminal and copy and paste that line of code? Is there any downside to doing this? I never used the terminal to do anything. I'm a gui.


Mid 2010 MacBook Pro 13"
2.4GHz, 750GB SATA HD, 8 GB RAM, OS 10.7.5
1 HDX1500 2TB Ext.HD, 2 HDX1500 1TB Ext.HD
HP Laserjet 6MP printing postscript via 10/100 Intel print server
Netgear WN2500RP Range Extender (Ira rocks!)
Linksys WRT1900AC Wireless Router
Brother MFC-9340CDW Color Laser
iPad Air
Re: Flash Cookies Raise Privacy Concerns
slolerner #12076 09/29/10 03:10 AM
Joined: Sep 2009
Offline

Joined: Sep 2009
Originally Posted By: slolerner
So I launch Terminal and copy and paste that line of code?

yes

Originally Posted By: slolerner
Is there any downside to doing this?

not sure what "this" means

deleting ds-stores makes finder forget window views in the affected folders... but that's not an issue specific to using terminal. [the same end result would occur with a gui app... like blue harvest for example.]

Last edited by Hal Itosis; 09/29/10 03:14 AM.
Re: Flash Cookies Raise Privacy Concerns
Hal Itosis #12096 09/29/10 07:21 PM
Joined: Aug 2009
Offline

Joined: Aug 2009
Quote:
deleting ds-stores makes finder forget window views in the affected folders


Hal-

Not sure I understand what is accomplished by this line of code. That's what I mean by 'this.' I guess what I'm getting at here is that I have a few issues and I think the disk has caches and things like the 'lost+found' that I'd rather get rid of and run 'leaner.' I suspect these extra files are causing weird behaviors like the cursor shake (which has gone away after Flush, btw, thanks.) For example, I use Camino, a flavor of Firefox, as a browser. I like it because it's small and fast. But I found a folder called metadata and it had hundreds of folders with caches in them of every website I'd been to. I HATE that. I don't go anywhere that's problematic, I just don't like that sort of thing. I've used Cocktail on my Titanium and I sometimes went too far and cleared too much stuff and it ran really funky and the easiest way to get going again was to reformat and start over because nothing ran right. It wasn't a big deal. But this is my new computer and I have much more 'stuff' now.

I don't really know if I'm expressing myself well here. I was running Panther because the Ti had a lot of problems with higher systems for some reasons, especially in Mail for some reason, and I became very familiar with keeping it clean and fast and caches empty. I empty the caches in Camino through the program, that's why I was shocked to find this metadata folder with all those caches in it. I don't know what in the world this 'lost + found' folder is and why it 'fixes' the file count problem Disk Utility found. I have some very important Photoshop files and if they get corrupted by something in the directory and can't be read or copied, I'm going to have really big problems. Do I need Cocktail, or a stronger Disk Utility program? Does this make any sense to you? I want to feel more confident about the structure and directory of the HD than I do right now and I want to get rid of things that don't need to be there. I don't know enough to fix a lot of this stuff 'by hand.' (I was a Sys 9 guru.) The finder shouldn't quit or 'freak out' when I click or view certain things, right?

I appreciate your help.

Last edited by slolerner; 09/29/10 07:23 PM.

Mid 2010 MacBook Pro 13"
2.4GHz, 750GB SATA HD, 8 GB RAM, OS 10.7.5
1 HDX1500 2TB Ext.HD, 2 HDX1500 1TB Ext.HD
HP Laserjet 6MP printing postscript via 10/100 Intel print server
Netgear WN2500RP Range Extender (Ira rocks!)
Linksys WRT1900AC Wireless Router
Brother MFC-9340CDW Color Laser
iPad Air
Page 1 of 3 1 2 3

Moderated by  alternaut, cyn 

Link Copied to Clipboard
Powered by UBB.threads™ PHP Forum Software 7.7.4
(Release build 20200307)
Responsive Width:

PHP: 7.4.33 Page Time: 0.051s Queries: 65 (0.038s) Memory: 0.7376 MB (Peak: 0.9383 MB) Data Comp: Zlib Server Time: 2024-03-28 16:45:15 UTC
Valid HTML 5 and Valid CSS